DefaultProfile (Grails 3.0.10.BUILD-SNAPSHOT)
Date: 2015-12-03

Package: org.grails.cli.profile

## [Groovy] Class DefaultProfile

- org.grails.cli.profile.DefaultProfile

- All Implemented Interfaces and Traits:
    Profile

      @groovy.transform.CompileStatic
      class DefaultProfile

  Simple disk based implementation of the Profile interface

  Authors:
    Lari Hotari
    Graeme Rocher
  Since:
    3.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `name`
    `java.util.List<Profile>` | `parentProfiles`
    `java.io.File` | `profileDir`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static Profile` | `create(ProfileRepository repository, java.lang.String name, java.io.File profileDir)`
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.Iterable<Command>` | `getCommands(ProjectContext context)`
    `java.lang.Iterable<jline.console.completer.Completer>` | `getCompleters(ProjectContext context)`
    `NavigableMap` | `getConfiguration()`
    `java.lang.Iterable<Profile>` | `getExtends()`
    `boolean` | `handleCommand(ExecutionContext context)`
    `boolean` | `hasCommand(ProjectContext context, java.lang.String name)`
    `int` | `hashCode()`
    `protected void` | `registerParentCommands(java.lang.Iterable<Profile> parents, groovy.lang.Closure<DefaultProfile> registerCommand)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### final java.lang.String name

    - #### java.util.List<Profile> parentProfiles

    - #### final java.io.File profileDir

  - ### Method Detail

    - #### static Profile create(ProfileRepository repository, java.lang.String name, java.io.File profileDir)

    - #### boolean equals(java.lang.Object o)

    - #### @java.lang.Override java.lang.Iterable<Command> getCommands(ProjectContext context)

    - #### @java.lang.Override java.lang.Iterable<jline.console.completer.Completer> getCompleters(ProjectContext context)

    - #### @java.lang.Override NavigableMap getConfiguration()

    - #### @java.lang.Override java.lang.Iterable<Profile> getExtends()

    - #### @java.lang.Override boolean handleCommand(ExecutionContext context)

    - #### @java.lang.Override boolean hasCommand(ProjectContext context, java.lang.String name)

    - #### int hashCode()

    - #### protected void registerParentCommands(java.lang.Iterable<Profile> parents, groovy.lang.Closure<DefaultProfile> registerCommand)